[uClibc] mipsel build failure

Steven J. Hill sjhill at realitydiluted.com
Tue Aug 3 03:11:02 UTC 2004


Samium Gromoff wrote:
> 
> here is what i get while trying to crossbuild uClibc 0.9.26 on i386 for mipsel-linux, using
> kernel headers of 2.6.5 and gcc 3.2.2 (the .config of uClibc is attached):
>
Do NOT use any of the GCC 3.2.x series compilers on MIPS...period. There
are a number of compiler bugs having to do with optimizations that actually
break system calls in the kernel proper and a few other things which I
cannot disclose. Use gcc 3.3.x or preferably 3.4.x series compiler suites.

-Steve



More information about the uClibc mailing list